/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.TDmTransfer;

import java.time.LocalDateTime;

import org.jooq.Record1;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TDmTransferRecord extends UpdatableRecordImpl<TDmTransferRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.t_dm_transfer.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.t_dm_transfer.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(0);
    }

    /**
     * Setter for <code>common_dd.t_dm_transfer.pk</code>.
     */
    public void setPk(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.t_dm_transfer.pk</code>.
     */
    public Integer getPk() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.t_dm_transfer.study</code>. foreign key to
     * study id
     */
    public void setStudy(Integer value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.t_dm_transfer.study</code>. foreign key to
     * study id
     */
    public Integer getStudy() {
        return (Integer) get(2);
    }

    /**
     * Setter for <code>common_dd.t_dm_transfer.additive</code>.
     */
    public void setAdditive(Integer value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.t_dm_transfer.additive</code>.
     */
    public Integer getAdditive() {
        return (Integer) get(3);
    }

    /**
     * Setter for <code>common_dd.t_dm_transfer.varname_old</code>. name of old
     * variable
     */
    public void setVarnameOld(String value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.t_dm_transfer.varname_old</code>. name of old
     * variable
     */
    public String getVarnameOld() {
        return (String) get(4);
    }

    /**
     * Setter for <code>common_dd.t_dm_transfer.varname_new</code>. name of new
     * / additive variable
     */
    public void setVarnameNew(String value) {
        set(5, value);
    }

    /**
     * Getter for <code>common_dd.t_dm_transfer.varname_new</code>. name of new
     * / additive variable
     */
    public String getVarnameNew() {
        return (String) get(5);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TDmTransferRecord
     */
    public TDmTransferRecord() {
        super(TDmTransfer.T_DM_TRANSFER);
    }

    /**
     * Create a detached, initialised TDmTransferRecord
     */
    public TDmTransferRecord(LocalDateTime lastchange, Integer pk, Integer study, Integer additive, String varnameOld, String varnameNew) {
        super(TDmTransfer.T_DM_TRANSFER);

        setLastchange(lastchange);
        setPk(pk);
        setStudy(study);
        setAdditive(additive);
        setVarnameOld(varnameOld);
        setVarnameNew(varnameNew);
        resetChangedOnNotNull();
    }
}
